osg::Vec3ui Class Reference

`#include <Vec3ui>`

## Public Types

enum | { num_components = 3 }
typedef unsigned int | value_type

## Public Member Functions

| Vec3ui ()
| Vec3ui (value_type r, value_type g, value_type b)
bool | operator== (const Vec3ui &v) const
bool | operator!= (const Vec3ui &v) const
bool | operator< (const Vec3ui &v) const
value_type * | ptr ()
const value_type * | ptr () const
void | set (value_type r, value_type g, value_type b)
void | set (const Vec3ui &rhs)
value_type & | operator[] (unsigned int i)
value_type | operator[] (unsigned int i) const
value_type & | x ()
value_type & | y ()
value_type & | z ()
value_type | x () const
value_type | y () const
value_type | z () const
value_type & | r ()
value_type & | g ()
value_type & | b ()
value_type | r () const
value_type | g () const
value_type | b () const
Vec3ui | operator* (value_type rhs) const
Vec3ui | operator/ (value_type rhs) const
Vec3ui | operator+ (value_type rhs) const
Vec3ui | operator- (value_type rhs) const
Vec3ui | operator+ (const Vec3ui &rhs) const
Vec3ui | operator- (const Vec3ui &rhs) const
Vec3ui | operator* (const Vec3ui &rhs) const

## Public Attributes

value_type | _v [3]

## Detailed Description

General purpose integer triple

## Member Typedef Documentation

## value_type

typedef unsigned int osg::Vec3ui::value_type

Type of Vec class.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Number of vector components.

Enumerator
num_components |

## Constructor & Destructor Documentation

## Vec3ui() [1/2]

osg::Vec3ui::Vec3ui | ( |  | ) |

inline

References _v.

Referenced by operator!=(), operator*(), operator*(), operator+(), operator+(), operator-(), operator-(), operator/(), operator<(), operator==(), and set().

## Vec3ui() [2/2]

osg::Vec3ui::Vec3ui | ( | value_type | r,
|  | value_type | g,
|  | value_type | b )

inline

References _v, b(), g(), and r().

## Member Function Documentation

## b() [1/2]

value_type & osg::Vec3ui::b | ( |  | ) |

inline

References _v.

Referenced by set(), and Vec3ui().

## b() [2/2]

value_type osg::Vec3ui::b | ( |  | ) | const

inline

References _v.

## g() [1/2]

value_type & osg::Vec3ui::g | ( |  | ) |

inline

References _v.

Referenced by set(), and Vec3ui().

## g() [2/2]

value_type osg::Vec3ui::g | ( |  | ) | const

inline

References _v.

## operator!=()

bool osg::Vec3ui::operator!= | ( | const Vec3ui & | v | ) | const

inline

References _v, and Vec3ui().

## operator*() [1/2]

Vec3ui osg::Vec3ui::operator* | ( | const Vec3ui & | rhs | ) | const

inline

References _v, and Vec3ui().

## operator*() [2/2]

Vec3ui osg::Vec3ui::operator* | ( | value_type | rhs | ) | const

inline

Multiply by scalar.

References _v, and Vec3ui().

## operator+() [1/2]

Vec3ui osg::Vec3ui::operator+ | ( | const Vec3ui & | rhs | ) | const

inline

References _v, and Vec3ui().

## operator+() [2/2]

Vec3ui osg::Vec3ui::operator+ | ( | value_type | rhs | ) | const

inline

References _v, and Vec3ui().

## operator-() [1/2]

Vec3ui osg::Vec3ui::operator- | ( | const Vec3ui & | rhs | ) | const

inline

References _v, and Vec3ui().

## operator-() [2/2]

Vec3ui osg::Vec3ui::operator- | ( | value_type | rhs | ) | const

inline

References _v, and Vec3ui().

## operator/()

Vec3ui osg::Vec3ui::operator/ | ( | value_type | rhs | ) | const

inline

References _v, and Vec3ui().

## operator<()

bool osg::Vec3ui::operator< | ( | const Vec3ui & | v | ) | const

inline

References _v, and Vec3ui().

## operator==()

bool osg::Vec3ui::operator== | ( | const Vec3ui & | v | ) | const

inline

References _v, and Vec3ui().

## operator[]() [1/2]

value_type & osg::Vec3ui::operator[] | ( | unsigned int | i | ) |

inline

References _v.

## operator[]() [2/2]

value_type osg::Vec3ui::operator[] | ( | unsigned int | i | ) | const

inline

References _v.

## ptr() [1/2]

value_type * osg::Vec3ui::ptr | ( |  | ) |

inline

References _v.

## ptr() [2/2]

const value_type * osg::Vec3ui::ptr | ( |  | ) | const

inline

References _v.

## r() [1/2]

value_type & osg::Vec3ui::r | ( |  | ) |

inline

References _v.

Referenced by set(), and Vec3ui().

## r() [2/2]

value_type osg::Vec3ui::r | ( |  | ) | const

inline

References _v.

## set() [1/2]

void osg::Vec3ui::set | ( | const Vec3ui & | rhs | ) |

inline

References _v, and Vec3ui().

## set() [2/2]

void osg::Vec3ui::set | ( | value_type | r,
|  | value_type | g,
|  | value_type | b )

inline

References _v, b(), g(), and r().

## x() [1/2]

value_type & osg::Vec3ui::x | ( |  | ) |

inline

References _v.

## x() [2/2]

value_type osg::Vec3ui::x | ( |  | ) | const

inline

References _v.

## y() [1/2]

value_type & osg::Vec3ui::y | ( |  | ) |

inline

References _v.

## y() [2/2]

value_type osg::Vec3ui::y | ( |  | ) | const

inline

References _v.

## z() [1/2]

value_type & osg::Vec3ui::z | ( |  | ) |

inline

References _v.

## z() [2/2]

value_type osg::Vec3ui::z | ( |  | ) | const

inline

References _v.

## Member Data Documentation

## _v

value_type osg::Vec3ui::_v[3]

Vec member variable.

Referenced by b(), b(), g(), g(), operator!=(), operator*(), operator*(), operator+(), operator+(), operator-(), operator-(), operator/(), operator<(), operator==(), operator[](), operator[](), ptr(), ptr(), r(), r(), set(), set(), Vec3ui(), Vec3ui(), x(), x(), y(), y(), z(), and z().

The documentation for this class was generated from the following file:

- Vec3ui